%define anolis_release 2
%global python3_dbus_dir %(%{__python3} -c "import dbus.mainloop; print(dbus.mainloop.__path__[0])" 2>/dev/null || echo "%{python3_sitearch}/dbus/mainloop")

%global rpm_macros_dir %(d=%{_rpmconfigdir}/macros.d; [ -d $d ] || d=%{_sysconfdir}/rpm; echo $d)

Summary: PyQt5 is Python bindings for Qt5
Name:    python-qt5
Version: 5.15.9
Release: %{anolis_release}%{?dist}

License: GPLv3
Url:     http://www.riverbankcomputing.com/software/pyqt/
Source0: https://pypi.python.org/packages/source/P/PyQt5/PyQt5-%{version}.tar.gz

Source1: macros.pyqt5

BuildRequires: make
BuildRequires: chrpath
BuildRequires: findutils
BuildRequires: pkgconfig(dbus-1)
BuildRequires: pkgconfig(dbus-python)
BuildRequires: qt5-qtbase-private-devel
%{?_qt5:Requires: %{_qt5} = %{_qt5_version}}
BuildRequires: pkgconfig(Qt5Core) >= 5.5
BuildRequires: pkgconfig(Qt5Bluetooth)
BuildRequires: pkgconfig(Qt5DBus)
BuildRequires: pkgconfig(Qt5Designer)
BuildRequires: pkgconfig(Qt5Gui)
BuildRequires: pkgconfig(Qt5Location)
BuildRequires: pkgconfig(Qt5Multimedia) pkgconfig(libpulse-mainloop-glib)
BuildRequires: pkgconfig(Qt5Nfc)
BuildRequires: pkgconfig(Qt5Network) pkgconfig(Qt5OpenGL)
BuildRequires: pkgconfig(Qt5Positioning)
BuildRequires: pkgconfig(Qt5Quick) pkgconfig(Qt5QuickWidgets)
BuildRequires: pkgconfig(Qt5Quick3D)
BuildRequires: pkgconfig(Qt5RemoteObjects)
BuildRequires: pkgconfig(Qt5Sensors)
BuildRequires: pkgconfig(Qt5SerialPort)
BuildRequires: pkgconfig(Qt5Sql) pkgconfig(Qt5Svg) pkgconfig(Qt5Test)
BuildRequires: pkgconfig(Qt5X11Extras)
BuildRequires: pkgconfig(Qt5Xml) pkgconfig(Qt5XmlPatterns)
BuildRequires: pkgconfig(Qt5WebChannel)
BuildRequires: pkgconfig(Qt5WebSockets)
BuildRequires: python%{python3_pkgversion}-devel python%{python3_pkgversion}
BuildRequires: python%{python3_pkgversion}-dbus
BuildRequires: %{py3_dist PyQt-builder} >= 1.14.1
BuildRequires: %{py3_dist sip} >= 6.6.2

%description
%{summary}.

%global __provides_exclude_from ^(%{_qt5_plugindir}/.*\\.so)$

#------------------------------------------------------------

%package rpm-macros
Summary: RPM macros %{name}
# when split out
Conflicts: python-qt5 < 5.6
Conflicts: python3-qt5 < 5.6
BuildArch: noarch

%description rpm-macros
%{summary}.

%files rpm-macros
%{rpm_macros_dir}/macros.pyqt5

#------------------------------------------------------------

%package -n python%{python3_pkgversion}-qt5
Summary: Python 3 bindings for Qt5
Provides: PyQt5 = %{version}-%{release}
Provides: python%{python3_pkgversion}-PyQt5 = %{version}-%{release}
Buildarch: noarch
Requires: python%{python3_pkgversion}-qt5-core = %{version}
Requires: python%{python3_pkgversion}-qt5-dbus = %{version}
Requires: python%{python3_pkgversion}-qt5-bluetooth = %{version}
Requires: python%{python3_pkgversion}-qt5-designer = %{version}
Requires: python%{python3_pkgversion}-qt5-gui = %{version}
Requires: python%{python3_pkgversion}-qt5-location = %{version}
Requires: python%{python3_pkgversion}-qt5-multimedia = %{version}
Requires: python%{python3_pkgversion}-qt5-multimediawidgets = %{version}
Requires: python%{python3_pkgversion}-qt5-nfc = %{version}
Requires: python%{python3_pkgversion}-qt5-network = %{version}
Requires: python%{python3_pkgversion}-qt5-opengl = %{version}
Requires: python%{python3_pkgversion}-qt5-positioning = %{version}
Requires: python%{python3_pkgversion}-qt5-printsupport = %{version}
Requires: python%{python3_pkgversion}-qt5-qml = %{version}
Requires: python%{python3_pkgversion}-qt5-quick = %{version}
Requires: python%{python3_pkgversion}-qt5-quick3d = %{version}
Requires: python%{python3_pkgversion}-qt5-quickwidgets = %{version}
Requires: python%{python3_pkgversion}-qt5-remoteobjects = %{version}
Requires: python%{python3_pkgversion}-qt5-sensors = %{version}
Requires: python%{python3_pkgversion}-qt5-serialport = %{version}
Requires: python%{python3_pkgversion}-qt5-sql = %{version}
Requires: python%{python3_pkgversion}-qt5-svg = %{version}
Requires: python%{python3_pkgversion}-qt5-test = %{version}
Requires: python%{python3_pkgversion}-qt5-tools = %{version}
Requires: python%{python3_pkgversion}-qt5-webchannel = %{version}
Requires: python%{python3_pkgversion}-qt5-webkit = %{version}
Requires: python%{python3_pkgversion}-qt5-webkitwidgets = %{version}
Requires: python%{python3_pkgversion}-qt5-websockets = %{version}
Requires: python%{python3_pkgversion}-qt5-widgets = %{version}
Requires: python%{python3_pkgversion}-qt5-xml = %{version}
Requires: python%{python3_pkgversion}-qt5-xmlpatterns = %{version}
Requires: python%{python3_pkgversion}-qt5-x11extras = %{version}

%description -n python%{python3_pkgversion}-qt5
%{summary}.

%files -n python%{python3_pkgversion}-qt5
%license LICENSE

#------------------------------------------------------------

%package -n python%{python3_pkgversion}-qt5-base
Summary: Python 3 bindings for Qt5 base
Provides: python%{python3_pkgversion}-PyQt5-base = %{version}-%{release}
Requires: %{name}-rpm-macros = %{version}-%{release}
Buildarch: noarch
Requires: python%{python3_pkgversion}-qt5-core = %{version}
Requires: python%{python3_pkgversion}-qt5-dbus = %{version}
Requires: python%{python3_pkgversion}-qt5-gui = %{version}
Requires: python%{python3_pkgversion}-qt5-network = %{version}
Requires: python%{python3_pkgversion}-qt5-opengl = %{version}
Requires: python%{python3_pkgversion}-qt5-printsupport = %{version}
Requires: python%{python3_pkgversion}-qt5-sql = %{version}
Requires: python%{python3_pkgversion}-qt5-test = %{version}
Requires: python%{python3_pkgversion}-qt5-tools = %{version}
Requires: python%{python3_pkgversion}-qt5-widgets = %{version}
Requires: python%{python3_pkgversion}-qt5-xml = %{version}

%description -n python%{python3_pkgversion}-qt5-base
%{summary}.

%files -n python%{python3_pkgversion}-qt5-base
%license LICENSE

#------------------------------------------------------------

%package -n    python%{python3_pkgversion}-qt5-core
Summary:       Python 3 bindings for PyQt 5 core
Requires:      qt5-qtbase = %{_qt5_version}
Requires:      python3-dbus
Conflicts:     python%{python3_pkgversion}-qt5-base < 5.15.9

%description -n python%{python3_pkgversion}-qt5-core
Python 3 bindings for PyQt 5 core.

%files -n python%{python3_pkgversion}-qt5-core
%doc NEWS README
%license LICENSE
%dir %{python3_sitearch}/PyQt5
%{python3_sitearch}/PyQt5/uic/
%{python3_sitearch}/PyQt5-%{version}.dist-info
%{python3_sitearch}/PyQt5/__pycache__/
%{python3_sitearch}/PyQt5/__init__.py*
%{python3_sitearch}/dbus/mainloop/pyqt5.abi3.so
%{python3_sitearch}/PyQt5/Qt.abi3.so
%{python3_sitearch}/PyQt5/QtCore.abi3.so
%{python3_sitearch}/PyQt5/QtCore.pyi
%{python3_sitearch}/PyQt5/py.typed
%{python3_sitearch}/PyQt5/sip.pyi

#------------------------------------------------------------

%package -n    python%{python3_pkgversion}-qt5-dbus
Summary:       Python 3 bindings for PyQt 5 dbus
Requires:      qt5-qtbase = %{_qt5_version}
Requires:      python%{python3_pkgversion}-qt5-core = %{version}
Conflicts:     python%{python3_pkgversion}-qt5-base < 5.15.9

%description -n python%{python3_pkgversion}-qt5-dbus
Python 3 bindings for PyQt 5 dbus.

%files -n python%{python3_pkgversion}-qt5-dbus
%{python3_sitearch}/PyQt5/QtDBus.abi3.so
%{python3_sitearch}/PyQt5/QtDBus.pyi

#------------------------------------------------------------

%package -n    python%{python3_pkgversion}-qt5-bluetooth
Summary:       Python 3 bindings for PyQt 5 bluetooth
Requires:      qt5-qtconnectivity = %{_qt5_version}
Requires:      python%{python3_pkgversion}-qt5-core = %{version}
Conflicts:     python%{python3_pkgversion}-qt5 < 5.15.9

%description -n python%{python3_pkgversion}-qt5-bluetooth
Python 3 bindings for PyQt 5 bluetooth.

%files -n python%{python3_pkgversion}-qt5-bluetooth
%{python3_sitearch}/PyQt5/QtBluetooth.abi3.so
%{python3_sitearch}/PyQt5/QtBluetooth.pyi

#------------------------------------------------------------

%package -n    python%{python3_pkgversion}-qt5-gui
Summary:       Python 3 bindings for PyQt 5 gui
Requires:      qt5-qtbase = %{_qt5_version}
Requires:      python%{python3_pkgversion}-qt5-core = %{version}
Conflicts:     python%{python3_pkgversion}-qt5-base < 5.15.9

%description -n python%{python3_pkgversion}-qt5-gui
Python 3 bindings for PyQt 5 gui.

%files -n python%{python3_pkgversion}-qt5-gui
%{python3_sitearch}/PyQt5/QtGui.abi3.so
%{python3_sitearch}/PyQt5/QtGui.pyi

#------------------------------------------------------------

%package -n    python%{python3_pkgversion}-qt5-network
Summary:       Python 3 bindings for PyQt 5 network
Requires:      qt5-qtbase = %{_qt5_version}
Requires:      python%{python3_pkgversion}-qt5-core = %{version}
Conflicts:     python%{python3_pkgversion}-qt5-base < 5.15.9

%description -n python%{python3_pkgversion}-qt5-network
Python 3 bindings for PyQt 5 network.

%files -n python%{python3_pkgversion}-qt5-network
%{python3_sitearch}/PyQt5/QtNetwork.abi3.so
%{python3_sitearch}/PyQt5/QtNetwork.pyi

#------------------------------------------------------------

%package -n    python%{python3_pkgversion}-qt5-help
Summary:       Python 3 bindings for PyQt 5 help
Requires:      qt5-qttools-libs-help = %{_qt5_version}
Requires:      python%{python3_pkgversion}-qt5-core = %{version}
Conflicts:     python%{python3_pkgversion}-qt5 < 5.15.9

%description -n python%{python3_pkgversion}-qt5-help
Python 3 bindings for PyQt 5 help.

%files -n python%{python3_pkgversion}-qt5-help
%{python3_sitearch}/PyQt5/QtHelp.abi3.so
%{python3_sitearch}/PyQt5/QtHelp.pyi

#------------------------------------------------------------

%package -n    python%{python3_pkgversion}-qt5-location
Summary:       Python 3 bindings for PyQt 5 location
Requires:      qt5-qtlocation = %{_qt5_version}
Requires:      python%{python3_pkgversion}-qt5-core = %{version}
Conflicts:     python%{python3_pkgversion}-qt5 < 5.15.9

%description -n python%{python3_pkgversion}-qt5-location
Python 3 bindings for PyQt 5 location.

%files -n python%{python3_pkgversion}-qt5-location
%{python3_sitearch}/PyQt5/QtLocation.abi3.so
%{python3_sitearch}/PyQt5/QtLocation.pyi

#------------------------------------------------------------

%package -n    python%{python3_pkgversion}-qt5-nfc
Summary:       Python 3 bindings for PyQt 5 nfc
Requires:      qt5-qtconnectivity = %{_qt5_version}
Requires:      python%{python3_pkgversion}-qt5-core = %{version}
Conflicts:     python%{python3_pkgversion}-qt5 < 5.15.9

%description -n python%{python3_pkgversion}-qt5-nfc
Python 3 bindings for PyQt 5 nfc.

%files -n python%{python3_pkgversion}-qt5-nfc
%{python3_sitearch}/PyQt5/QtNfc.abi3.so
%{python3_sitearch}/PyQt5/QtNfc.pyi

#------------------------------------------------------------

%package -n    python%{python3_pkgversion}-qt5-opengl
Summary:       Python 3 bindings for PyQt 5 opengl
Requires:      qt5-qtbase = %{_qt5_version}
Requires:      python%{python3_pkgversion}-qt5-core = %{version}
Conflicts:     python%{python3_pkgversion}-qt5-base < 5.15.9

%description -n python%{python3_pkgversion}-qt5-opengl
Python 3 bindings for PyQt 5 opengl.

%files -n python%{python3_pkgversion}-qt5-opengl
%{python3_sitearch}/PyQt5/QtOpenGL.abi3.so
%{python3_sitearch}/PyQt5/_QOpenGLFunctions_*.so
%{python3_sitearch}/PyQt5/QtOpenGL.pyi

#------------------------------------------------------------

%package -n    python%{python3_pkgversion}-qt5-positioning
Summary:       Python 3 bindings for PyQt 5 positioning
Requires:      qt5-qtlocation = %{_qt5_version}
Requires:      python%{python3_pkgversion}-qt5-core = %{version}
Conflicts:     python%{python3_pkgversion}-qt5 < 5.15.9

%description -n python%{python3_pkgversion}-qt5-positioning
Python 3 bindings for PyQt 5 positioning.

%files -n python%{python3_pkgversion}-qt5-positioning
%{python3_sitearch}/PyQt5/QtPositioning.abi3.so
%{python3_sitearch}/PyQt5/QtPositioning.pyi

#------------------------------------------------------------

%package -n    python%{python3_pkgversion}-qt5-printsupport
Summary:       Python 3 bindings for PyQt 5 printsupport
Requires:      qt5-qtbase = %{_qt5_version}
Requires:      python%{python3_pkgversion}-qt5-core = %{version}
Conflicts:     python%{python3_pkgversion}-qt5-base < 5.15.9

%description -n python%{python3_pkgversion}-qt5-printsupport
Python 3 bindings for PyQt 5 printsupport.

%files -n python%{python3_pkgversion}-qt5-printsupport
%{python3_sitearch}/PyQt5/QtPrintSupport.abi3.so
%{python3_sitearch}/PyQt5/QtPrintSupport.pyi

#------------------------------------------------------------

%package -n    python%{python3_pkgversion}-qt5-qml
Summary:       Python 3 bindings for PyQt 5 qml
Requires:      qt5-qtdeclarative = %{_qt5_version}
Requires:      python%{python3_pkgversion}-qt5-core = %{version}
Conflicts:     python%{python3_pkgversion}-qt5 < 5.15.9

%description -n python%{python3_pkgversion}-qt5-qml
Python 3 bindings for PyQt 5 qml.

%files -n python%{python3_pkgversion}-qt5-qml
%{python3_sitearch}/PyQt5/QtQml.abi3.so
%{python3_sitearch}/PyQt5/QtQml.pyi
%{_qt5_plugindir}/PyQt5/libpyqt5qmlplugin.so

#------------------------------------------------------------

%package -n    python%{python3_pkgversion}-qt5-quick
Summary:       Python 3 bindings for PyQt 5 quick
Requires:      qt5-qtdeclarative = %{_qt5_version}
Requires:      python%{python3_pkgversion}-qt5-core = %{version}
Conflicts:     python%{python3_pkgversion}-qt5 < 5.15.9

%description -n python%{python3_pkgversion}-qt5-quick
Python 3 bindings for PyQt 5 quick.

%files -n python%{python3_pkgversion}-qt5-quick
%{python3_sitearch}/PyQt5/QtQuick.abi3.so
%{python3_sitearch}/PyQt5/QtQuick.pyi

#------------------------------------------------------------

%package -n    python%{python3_pkgversion}-qt5-quick3d
Summary:       Python 3 bindings for PyQt 5 quick3d
Requires:      qt5-qtquick3d = %{_qt5_version}
Requires:      python%{python3_pkgversion}-qt5-core = %{version}
Conflicts:     python%{python3_pkgversion}-qt5 < 5.15.9

%description -n python%{python3_pkgversion}-qt5-quick3d
Python 3 bindings for PyQt 5 quick3d.

%files -n python%{python3_pkgversion}-qt5-quick3d
%{python3_sitearch}/PyQt5/QtQuick3D.abi3.so
%{python3_sitearch}/PyQt5/QtQuick3D.pyi

#------------------------------------------------------------

%package -n    python%{python3_pkgversion}-qt5-quickwidgets
Summary:       Python 3 bindings for PyQt 5 quickwidgets
Requires:      qt5-qtdeclarative = %{_qt5_version}
Requires:      python%{python3_pkgversion}-qt5-core = %{version}
Conflicts:     python%{python3_pkgversion}-qt5 < 5.15.9

%description -n python%{python3_pkgversion}-qt5-quickwidgets
Python 3 bindings for PyQt 5 quick.

%files -n python%{python3_pkgversion}-qt5-quickwidgets
%{python3_sitearch}/PyQt5/QtQuickWidgets.abi3.so
%{python3_sitearch}/PyQt5/QtQuickWidgets.pyi

#------------------------------------------------------------

%package -n    python%{python3_pkgversion}-qt5-multimedia
Summary:       Python 3 bindings for PyQt 5 multimedia
Requires:      qt5-qtmultimedia = %{_qt5_version}
Requires:      python%{python3_pkgversion}-qt5-core = %{version}
Conflicts:     python%{python3_pkgversion}-qt5 < 5.15.9

%description -n python%{python3_pkgversion}-qt5-multimedia
Python 3 bindings for PyQt 5 multimedia.

%files -n python%{python3_pkgversion}-qt5-multimedia
%{python3_sitearch}/PyQt5/QtMultimedia.abi3.so
%{python3_sitearch}/PyQt5/QtMultimedia.pyi

#------------------------------------------------------------

%package -n    python%{python3_pkgversion}-qt5-multimediawidgets
Summary:       Python 3 bindings for PyQt 5 multimediawidgets
Requires:      qt5-qtmultimedia = %{_qt5_version}
Requires:      python%{python3_pkgversion}-qt5-core = %{version}
Conflicts:     python%{python3_pkgversion}-qt5 < 5.15.9

%description -n python%{python3_pkgversion}-qt5-multimediawidgets
Python 3 bindings for PyQt 5 multimediawidgets.

%files -n python%{python3_pkgversion}-qt5-multimediawidgets
%{python3_sitearch}/PyQt5/QtMultimediaWidgets.abi3.so
%{python3_sitearch}/PyQt5/QtMultimediaWidgets.pyi

#------------------------------------------------------------

%package -n    python%{python3_pkgversion}-qt5-remoteobjects
Summary:       Python 3 bindings for PyQt 5 remoteobjects
Requires:      qt5-qtremoteobjects = %{_qt5_version}
Requires:      python%{python3_pkgversion}-qt5-core = %{version}
Conflicts:     python%{python3_pkgversion}-qt5 < 5.15.9

%description -n python%{python3_pkgversion}-qt5-remoteobjects
Python 3 bindings for PyQt 5 remoteobjects.

%files -n python%{python3_pkgversion}-qt5-remoteobjects
%{python3_sitearch}/PyQt5/QtRemoteObjects.abi3.so
%{python3_sitearch}/PyQt5/QtRemoteObjects.pyi

#------------------------------------------------------------

%package -n    python%{python3_pkgversion}-qt5-sensors
Summary:       Python 3 bindings for PyQt 5 sensors
Requires:      qt5-qtsensors = %{_qt5_version}
Requires:      python%{python3_pkgversion}-qt5-core = %{version}
Conflicts:     python%{python3_pkgversion}-qt5 < 5.15.9

%description -n python%{python3_pkgversion}-qt5-sensors
Python 3 bindings for PyQt 5 sensors.

%files -n python%{python3_pkgversion}-qt5-sensors
%{python3_sitearch}/PyQt5/QtSensors.abi3.so
%{python3_sitearch}/PyQt5/QtSensors.pyi

#------------------------------------------------------------

%package -n    python%{python3_pkgversion}-qt5-serialport
Summary:       Python 3 bindings for PyQt 5 serialport
Requires:      qt5-qtserialport = %{_qt5_version}
Requires:      python%{python3_pkgversion}-qt5-core = %{version}
Conflicts:     python%{python3_pkgversion}-qt5 < 5.15.9

%description -n python%{python3_pkgversion}-qt5-serialport
Python 3 bindings for PyQt 5 serialport.

%files -n python%{python3_pkgversion}-qt5-serialport
%{python3_sitearch}/PyQt5/QtSerialPort.abi3.so
%{python3_sitearch}/PyQt5/QtSerialPort.pyi

#------------------------------------------------------------

%package -n    python%{python3_pkgversion}-qt5-sql
Summary:       Python 3 bindings for PyQt 5 sql
Requires:      qt5-qtbase = %{_qt5_version}
Requires:      python%{python3_pkgversion}-qt5-core = %{version}
Conflicts:     python%{python3_pkgversion}-qt5-base < 5.15.9

%description -n python%{python3_pkgversion}-qt5-sql
Python 3 bindings for PyQt 5 sql.

%files -n python%{python3_pkgversion}-qt5-sql
%{python3_sitearch}/PyQt5/QtSql.abi3.so
%{python3_sitearch}/PyQt5/QtSql.pyi

#------------------------------------------------------------

%package -n    python%{python3_pkgversion}-qt5-svg
Summary:       Python 3 bindings for PyQt 5 svg
Requires:      qt5-qtsvg = %{_qt5_version}
Requires:      python%{python3_pkgversion}-qt5-core = %{version}
Conflicts:     python%{python3_pkgversion}-qt5 < 5.15.9

%description -n python%{python3_pkgversion}-qt5-svg
Python 3 bindings for PyQt 5 svg.

%files -n python%{python3_pkgversion}-qt5-svg
%{python3_sitearch}/PyQt5/QtSvg.abi3.so
%{python3_sitearch}/PyQt5/QtSvg.pyi

#------------------------------------------------------------

%package -n    python%{python3_pkgversion}-qt5-test
Summary:       Python 3 bindings for PyQt 5 test
Requires:      qt5-qtbase = %{_qt5_version}
Requires:      python%{python3_pkgversion}-qt5-core = %{version}
Conflicts:     python%{python3_pkgversion}-qt5-base < 5.15.9

%description -n python%{python3_pkgversion}-qt5-test
Python 3 bindings for PyQt 5 test.

%files -n python%{python3_pkgversion}-qt5-test
%{python3_sitearch}/PyQt5/QtTest.abi3.so
%{python3_sitearch}/PyQt5/QtTest.pyi

#------------------------------------------------------------

%package -n    python%{python3_pkgversion}-qt5-tools
Summary:       Development tools for PyQt5
Requires:      qt5-qtbase = %{_qt5_version}
Requires:      python%{python3_pkgversion}-qt5 = %{version}
Conflicts:     python%{python3_pkgversion}-qt5-base < 5.15.9

%description -n python%{python3_pkgversion}-qt5-tools
This package contains various support tools for PyQt5 developers:

 - a user interface compiler (pyuic5)
 - a resource file generator (pyrcc5)
 - a translation string finder (pylupdate5)

%files -n python%{python3_pkgversion}-qt5-tools
%{_bindir}/pylupdate5
%{_bindir}/pyrcc5
%{_bindir}/pyuic5
%{python3_sitearch}/PyQt5/pylupdate.abi3.so
%{python3_sitearch}/PyQt5/pylupdate_main.py
%{python3_sitearch}/PyQt5/pyrcc.abi3.so
%{python3_sitearch}/PyQt5/pyrcc_main.py

#------------------------------------------------------------

%package -n    python%{python3_pkgversion}-qt5-webchannel
Summary:       Python 3 bindings for PyQt 5 webchannel
Requires:      qt5-qtwebchannel = %{_qt5_version}
Requires:      python%{python3_pkgversion}-qt5-core = %{version}
Conflicts:     python%{python3_pkgversion}-qt5 < 5.15.9

%description -n python%{python3_pkgversion}-qt5-webchannel
Python 3 bindings for PyQt 5 webchannel.

%files -n python%{python3_pkgversion}-qt5-webchannel
%{python3_sitearch}/PyQt5/QtWebChannel.abi3.so
%{python3_sitearch}/PyQt5/QtWebChannel.pyi

#------------------------------------------------------------

%package -n    python%{python3_pkgversion}-qt5-webkit
Summary:       Python 3 bindings for PyQt 5 webkit
BuildRequires: pkgconfig(Qt5WebKit)
BuildRequires: pkgconfig(Qt5WebKitWidgets)
Requires:      python%{python3_pkgversion}-qt5-core = %{version}

%description -n python%{python3_pkgversion}-qt5-webkit
Python 3 bindings for PyQt 5 webkit.

%files -n python%{python3_pkgversion}-qt5-webkit
%{python3_sitearch}/PyQt5/QtWebKit.abi3.so
%{python3_sitearch}/PyQt5/QtWebKit.pyi

#------------------------------------------------------------

%package -n    python%{python3_pkgversion}-qt5-webkitwidgets
Summary:       Python 3 bindings for PyQt 5 webkitwidgets
Requires:      python%{python3_pkgversion}-qt5-core = %{version}
Conflicts:     python%{python3_pkgversion}-qt5-webkit < 5.15.9

%description -n python%{python3_pkgversion}-qt5-webkitwidgets
Python 3 bindings for PyQt 5 webkitwidgets.

%files -n python%{python3_pkgversion}-qt5-webkitwidgets
%{python3_sitearch}/PyQt5/QtWebKitWidgets.abi3.so
%{python3_sitearch}/PyQt5/QtWebKitWidgets.pyi

#------------------------------------------------------------

%package -n    python%{python3_pkgversion}-qt5-websockets
Summary:       Python 3 bindings for PyQt 5 websockets
Requires:      qt5-qtwebsockets = %{_qt5_version}
Requires:      python%{python3_pkgversion}-qt5-core = %{version}
Conflicts:     python%{python3_pkgversion}-qt5 < 5.15.9

%description -n python%{python3_pkgversion}-qt5-websockets
Python 3 bindings for PyQt 5 websockets.

%files -n python%{python3_pkgversion}-qt5-websockets
%{python3_sitearch}/PyQt5/QtWebSockets.abi3.so
%{python3_sitearch}/PyQt5/QtWebSockets.pyi

#------------------------------------------------------------

%package -n    python%{python3_pkgversion}-qt5-widgets
Summary:       Python 3 bindings for PyQt 5 widgets
Requires:      qt5-qtbase = %{_qt5_version}
Requires:      python%{python3_pkgversion}-qt5-core = %{version}
Conflicts:     python%{python3_pkgversion}-qt5-base < 5.15.9

%description -n python%{python3_pkgversion}-qt5-widgets
Python 3 bindings for PyQt 5 widgets.

%files -n python%{python3_pkgversion}-qt5-widgets
%{python3_sitearch}/PyQt5/QtWidgets.abi3.so
%{python3_sitearch}/PyQt5/QtWidgets.pyi

#------------------------------------------------------------

%package -n    python%{python3_pkgversion}-qt5-xml
Summary:       Python 3 bindings for PyQt 5 xml
Requires:      qt5-qtbase = %{_qt5_version}
Requires:      python%{python3_pkgversion}-qt5-core = %{version}
Conflicts:     python%{python3_pkgversion}-qt5-base < 5.15.9

%description -n python%{python3_pkgversion}-qt5-xml
Python 3 bindings for PyQt 5 xml.

%files -n python%{python3_pkgversion}-qt5-xml
%{python3_sitearch}/PyQt5/QtXml.abi3.so
%{python3_sitearch}/PyQt5/QtXml.pyi

#------------------------------------------------------------

%package -n    python%{python3_pkgversion}-qt5-xmlpatterns
Summary:       Python 3 bindings for PyQt 5 xmlpatterns
Requires:      qt5-qtxmlpatterns = %{_qt5_version}
Requires:      python%{python3_pkgversion}-qt5-core = %{version}
Conflicts:     python%{python3_pkgversion}-qt5 < 5.15.9

%description -n python%{python3_pkgversion}-qt5-xmlpatterns
Python 3 bindings for PyQt 5 xmlpatterns.

%files -n python%{python3_pkgversion}-qt5-xmlpatterns
%{python3_sitearch}/PyQt5/QtXmlPatterns.abi3.so
%{python3_sitearch}/PyQt5/QtXmlPatterns.pyi

#------------------------------------------------------------

%package -n    python%{python3_pkgversion}-qt5-x11extras
Summary:       Python 3 bindings for PyQt 5 x11extras
Requires:      qt5-qtx11extras = %{_qt5_version}
Requires:      python%{python3_pkgversion}-qt5-core = %{version}
Conflicts:     python%{python3_pkgversion}-qt5 < 5.15.9

%description -n python%{python3_pkgversion}-qt5-x11extras
Python 3 bindings for PyQt 5 x11extras.

%files -n python%{python3_pkgversion}-qt5-x11extras
%{python3_sitearch}/PyQt5/QtX11Extras.abi3.so
%{python3_sitearch}/PyQt5/QtX11Extras.pyi

#------------------------------------------------------------

%package -n    python%{python3_pkgversion}-qt5-designer
Summary:       Python 3 bindings for PyQt 5 designer
Requires:      qt5-qttools-libs-designer = %{_qt5_version}
Requires:      python%{python3_pkgversion}-qt5-core = %{version}
Conflicts:     python%{python3_pkgversion}-qt5 < 5.15.9

%description -n python%{python3_pkgversion}-qt5-designer
Python 3 bindings for PyQt 5 designer.

%files -n python%{python3_pkgversion}-qt5-designer
%{python3_sitearch}/PyQt5/QtDesigner.abi3.so
%{python3_sitearch}/PyQt5/QtDesigner.pyi
%{_qt5_plugindir}/designer/libpyqt5.so

#------------------------------------------------------------

%package -n python%{python3_pkgversion}-qt5-devel
Summary: Development files for python3-qt5
Requires: python%{python3_pkgversion}-qt5 = %{version}-%{release}
Requires: qt5-qtbase-devel = %{_qt5_version}
Provides: python%{python3_pkgversion}-PyQt5-devel = %{version}-%{release}
%{?python_provide:%python_provide python%{python3_pkgversion}-qt5-devel}

%description -n python%{python3_pkgversion}-qt5-devel
Files needed to build other bindings for C++ classes that inherit from any
of the Qt5 classes

%files -n python%{python3_pkgversion}-qt5-devel
%{python3_sitearch}/PyQt5/bindings/

#------------------------------------------------------------

%package -n python%{python3_pkgversion}-qt5-doc
Summary: Developer documentation for %{name}
Provides: PyQt5-doc = %{version}-%{release}
Obsoletes: python-qt5-doc < 5.15.9
Conflicts: python-qt5-doc < 5.15.9
BuildArch: noarch

%description -n python%{python3_pkgversion}-qt5-doc
%{summary}.

%files -n python%{python3_pkgversion}-qt5-doc
%doc examples/
# avoid dep on qscintilla-python, own %%_qt5_datadir/qsci/... here for now
%dir %{_qt5_datadir}/qsci/
%dir %{_qt5_datadir}/qsci/api/
%dir %{_qt5_datadir}/qsci/api/python/
%doc %{_qt5_datadir}/qsci/api/python/PyQt5.api

#------------------------------------------------------------

%prep
%setup -q -n PyQt5-%{version}


%build
## see also https://www.riverbankcomputing.com/static/Docs/PyQt5/installation.html

PATH=%{_qt5_bindir}:$PATH ; export PATH

# Python 3 build:
sip-build \
  --no-make \
  --qt-shared \
  --confirm-license \
  --qmake=%{_qt5_qmake} \
  --api-dir=%{_qt5_datadir}/qsci/api/python \
  --verbose \
  --dbus=%{_includedir}/dbus-1.0/ \
  --pep484-pyi \
  --qmake-setting 'QMAKE_CFLAGS_RELEASE="%{optflags}"' \
  --qmake-setting 'QMAKE_CXXFLAGS_RELEASE="%{optflags} `pkg-config --cflags dbus-python`"' \
  --qmake-setting 'QMAKE_LFLAGS_RELEASE="%{?__global_ldflags}"'

%make_build -C build


%install

# Python 3 build:
%make_install INSTALL_ROOT=%{buildroot} -C build
if [ "%{_prefix}" != "/usr" ]; then
  cp -ru %{buildroot}/usr/* %{buildroot}%{_prefix}/ || echo "Nothing to copy"
  rm -rf %{buildroot}/usr/*
fi

# Explicitly byte compile as the automagic byte compilation doesn't work for
# /app prefix in flatpak builds
%py_byte_compile %{__python3} %{buildroot}%{python3_sitearch}/PyQt5

# ensure .so modules are executable for proper -debuginfo extraction
find %{buildroot} -type f -name '*.so' | xargs chmod a+rx

# rpm macros
install -p -m644 -D %{SOURCE1} \
  %{buildroot}%{rpm_macros_dir}/macros.pyqt5
sed -i \
  -e "s|@@NAME@@|%{name}|g" \
  -e "s|@@EPOCH@@|%{?epoch}%{!?epoch:0}|g" \
  -e "s|@@VERSION@@|%{version}|g" \
  -e "s|@@EVR@@|%{EVR}|g" \
  %{buildroot}%{rpm_macros_dir}/macros.pyqt5

%changelog
* Wed May 24 2023 Funda Wang <fundawang@yeah.net> - 5.15.9-2
- Rebuild for qt 5.15.9

* Sun Feb 12 2023 Funda Wang <fundawang@yeah.net> - 5.15.9-1
- New version 5.15.9
- Split into sub packages based on qt modules

* Sun Jan 29 2023 Funda Wang <fundawang@yeah.net> - 5.15.8-1
- New version 5.15.8
- Enable quick3d, qtremoteobjects and qtwebkit modules

* Thu Jan 19 2023 Funda Wang <fundawang@yeah.net> - 5.15.7-2
- Rebuild for qt5 5.15.8

* Mon Dec 19 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 5.15.7-1
- update to 5.15.7
- optimise spec file

* Thu Jul 28 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 5.15.6-1
- Init from upstream version 5.15.6
